//=========================================================================
//
//	FILE:				CP_CPClassNames.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Defines for the various CPLAT classes used in XML persistant
//						files.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_CPClassNames
#define _H_CP_CPClassNames
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT
	
//========================================================================
// CPLAT Views
//========================================================================
#define kCP_ClassName_BevelButton							"CPLAT::CP_BevelButton"
#define kCP_ClassName_PushButton							"CPLAT::CP_PushButton"
#define kCP_ClassName_ChasingArrows							"CPLAT::CP_ChasingArrows"
#define kCP_ClassName_CheckBox								"CPLAT::CP_CheckBox"
#define kCP_ClassName_CheckGroupBox							"CPLAT::CP_CheckGroupBox"
#define kCP_ClassName_Clock									"CPLAT::CP_Clock"
#define kCP_ClassName_ComboBox								"CPLAT::CP_ComboBox"
#define kCP_ClassName_DataBrowser							"CPLAT::CP_DataBrowser"
#define kCP_ClassName_DisclosureTriangle					"CPLAT::CP_DisclosureTriangle"
#define kCP_ClassName_EditField								"CPLAT::CP_EditField"
#define kCP_ClassName_FocusBorder							"CPLAT::CP_FocusBorder"
#define kCP_ClassName_IconControl							"CPLAT::CP_IconControl"
#define kCP_ClassName_ImageWell								"CPLAT::CP_ImageWell"
#define kCP_ClassName_LittleArrows							"CPLAT::CP_LittleArrows"
#define kCP_ClassName_LittleArrowsEditBuddy					"CPLAT::CP_LittleArrowsEditBuddy"
#define kCP_ClassName_OpenGL								"CPLAT::CP_OpenGL"
#define kCP_ClassName_PictureControl						"CPLAT::CP_PictureControl"
#define kCP_ClassName_Placard								"CPLAT::CP_Placard"
#define kCP_ClassName_ProgressBar							"CPLAT::CP_ProgressBar"
#define kCP_ClassName_PopupArrow							"CPLAT::CP_PopupArrow"
#define kCP_ClassName_PopupMenu								"CPLAT::CP_PopupMenu"
#define kCP_ClassName_PopupGroupBox							"CPLAT::CP_PopupGroupBox"
#define kCP_ClassName_QuickTimeMovieView					"CPLAT::CP_QT_MovieView"
#define kCP_ClassName_RadioButton							"CPLAT::CP_RadioButton"
#define kCP_ClassName_RadioGroup							"CPLAT::CP_RadioGroup"
#define kCP_ClassName_Relevance								"CPLAT::CP_Relevance"
#define kCP_ClassName_RoundButton							"CPLAT::CP_RoundButton"
#define kCP_ClassName_ScrollableView						"CPLAT::CP_ScrollableView"
#define kCP_ClassName_ScrollBar								"CPLAT::CP_ScrollBar"
#define kCP_ClassName_Scroller								"CPLAT::CP_Scroller"
#define kCP_ClassName_SelectColorButton						"CPLAT::CP_SelectColorButton"
#define kCP_ClassName_Separator								"CPLAT::CP_Separator"
#define kCP_ClassName_Slider								"CPLAT::CP_Slider"
#define kCP_ClassName_Splitter								"CPLAT::CP_Splitter"
#define kCP_ClassName_StaticText							"CPLAT::CP_StaticText"
#define kCP_ClassName_TabView								"CPLAT::CP_TabView"
#define kCP_ClassName_TableView								"CPLAT::CP_TableView"
#define kCP_ClassName_TV_TextColumn							"CPLAT::CP_TV_TextColumn"
#define kCP_ClassName_Toolbar								"CPLAT::CP_Toolbar"
#define kCP_ClassName_TV_DataBrowser						"CPLAT::CP_TV_DataBrowser"
#define kCP_ClassName_TextGroupBox							"CPLAT::CP_TextGroupBox"
#define kCP_ClassName_TextView								"CPLAT::CP_TextView"
#define kCP_ClassName_View									"CPLAT::CP_View"
#define kCP_ClassName_WindowHeader							"CPLAT::CP_WindowHeader"
#define kCP_ClassName_WindowListHeader						"CPLAT::CP_WindowListHeader"

//========================================================================
// CPLAT Windows
//========================================================================
#define kCP_ClassName_Window								"CPLAT::CP_Window"
#define kCP_ClassName_DocumentWindow						"CPLAT::CP_DocumentWindow"

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_CPClassNames

