//=========================================================================
//
//	FILE:				CP_Debugging_All.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Rez definitions to include all of the res files used
//						for CPLAT debugging resources.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon.r>

	// CPLAT Debugging / Exception rez files
#ifndef __CP_DEBUG_R__
	#include "CP_Debug.r"
#endif

#ifndef __CP_DEBUG_MENU_R__
	#include "CP_DebugMenu.r"
#endif

#ifndef __CP_DEBUG_STR_R__
	#include "CP_DebugStr.r"
#endif

#ifndef __CP_EXCEPTION_STR_R__
	#include "CP_ExceptionStr.r"
#endif

#ifndef __CP_GENERAL_ERROR_STR_R__
	#include "CP_GeneralErrorStr.r"
#endif
